<?xml version="1.0" ?>
<?xml-stylesheet href="log.xsl" type="text/xsl"?>

<!--
	Copyright (c) 2002-2004 by The Web Services-Interoperability Organization (WS-I) and 
	Certain of its Members. All Rights Reserved.
	
	Notice
	The material contained herein is not a license, either expressly or impliedly, to any 
	intellectual property owned or controlled by any of the authors or developers of this 
	material or WS-I. The material contained herein is provided on an "AS IS" basis and to 
	the maximum extent permitted by applicable law, this material is provided AS IS AND WITH 
	ALL FAULTS, and the authors and developers of this material and WS-I hereby disclaim all 
	other warranties and conditions, either express, implied or statutory, including, but not 
	limited to, any (if any) implied warranties, duties or conditions of  merchantability, 
	of fitness for a particular purpose, of accuracy or completeness of responses, of results, 
	of workmanlike effort, of lack of viruses, and of lack of negligence. ALSO, THERE IS NO 
	WARRANTY OR CONDITION OF TITLE, QUIET ENJOYMENT, QUIET POSSESSION, CORRESPONDENCE TO 
	DESCRIPTION OR NON-INFRINGEMENT WITH REGARD TO THIS MATERIAL.
	
	IN NO EVENT WILL ANY AUTHOR OR DEVELOPER OF THIS MATERIAL OR WS-I BE LIABLE TO ANY OTHER 
	PARTY FOR THE COST OF PROCURING SUBSTITUTE GOODS OR SERVICES, LOST PROFITS, LOSS OF USE, 
	LOSS OF DATA, OR ANY INCIDENTAL, CONSEQUENTIAL, DIRECT, INDIRECT, OR SPECIAL DAMAGES 
	WHETHER UNDER CONTRACT, TORT, WARRANTY, OR OTHERWISE, ARISING IN ANY WAY OUT OF THIS OR 
	ANY OTHER AGREEMENT RELATING TO THIS MATERIAL, WHETHER OR NOT SUCH PARTY HAD ADVANCE 
	NOTICE OF THE POSSIBILITY OF SUCH DAMAGES.
	
	WS-I License Information
	Use of this WS-I Material is governed by the WS-I Test License and other licenses.  Information on these 
	licenses are contained in the README.txt and ReleaseNotes.txt files.  By downloading this file, you agree 
	to the terms of these licenses.
	
	How To Provide Feedback
	The Web Services-Interoperability Organization (WS-I) would like to receive input, 
	suggestions and other feedback ("Feedback") on this work from a wide variety of 
	industry participants to improve its quality over time. 
	
	By sending email, or otherwise communicating with WS-I, you (on behalf of yourself if 
	you are an individual, and your company if you are providing Feedback on behalf of the 
	company) will be deemed to have granted to WS-I, the members of WS-I, and other parties 
	that have access to your Feedback, a non-exclusive, non-transferable, worldwide, perpetual, 
	irrevocable, royalty-free license to use, disclose, copy, license, modify, sublicense or 
	otherwise distribute and exploit in any manner whatsoever the Feedback you provide regarding 
	the work. You acknowledge that you have no expectation of confidentiality with respect to 
	any Feedback you provide. You represent and warrant that you have rights to provide this 
	Feedback, and if you are providing Feedback on behalf of a company, you represent and warrant 
	that you have the rights to provide Feedback on behalf of your company. You also acknowledge 
	that WS-I is not required to review, discuss, use, consider or in any way incorporate your 
	Feedback into future versions of its work. If WS-I does incorporate some or all of your 
	Feedback in a future version of the work, it may, but is not obligated to include your name 
	(or, if you are identified as acting on behalf of your company, the name of your company) on 
	a list of contributors to the work. If the foregoing is not acceptable to you and any company 
	on whose behalf you are acting, please do not provide any Feedback.
	
	WS-I members should direct feedback on this document to wsi_testing@lists.ws-i.org; 
    non-members should direct feedback to wsi-tools@ws-i.org. 
-->


<xsl:stylesheet
	version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:wsi-common="http://www.ws-i.org/testing/2003/03/common/"
	xmlns:wsi-monConfig="http://www.ws-i.org/testing/2003/03/monitorConfig/"
	xmlns:wsi-log="http://www.ws-i.org/testing/2003/03/log/">

<xsl:output method="html" indent="yes"/>

<xsl:template match="/">
<html>
	<link type="text/css" rel="stylesheet" href="http://www.ws-i.org/styles.css" /> 
	<head>
    <title>WS-I Log File Generated by WS-I Testing Tools</title>
    <style type="text/css">
      BODY {
        border-top-style : none;
        border-left-style : none;
        border-right-style : none;
        border-bottom-style : none;
        font-size : 20px;
        font-family : Arial,sans-serif;
      }
      H2 {
        background-color : #336699;
        PADDING-BOTTOM: 1px;
        PADDING-LEFT: 4px;
        PADDING-RIGHT: 4px;
        PADDING-TOP: 1px;
        font-size: 24pt; 
        font-family : Arial,sans-serif;
        color : white;
      }
      H3 {
        background-color : #7ca8da;
        padding-left : 6px;
        padding-right : 6px;
        padding-top : 2px;
        padding-bottom : 2px;
        font-size : 20pt;
        font-family : Arial,sans-serif;
      }
      TABLE{
        font-size : 18px;
        font-family : Arial,sans-serif;
      }    
    </style>
	</head>

	<body>
    <img align="right" src="http://www.ws-i.org/images/WS-I-logo.gif"/>
    <span class="pageHeader">
    <p>WS-I Testing Tools Log File</p>
    <br/>
    </span>
    <xsl:apply-templates />
	</body>
</html>
</xsl:template>

<xsl:template match="wsi-log:monitor" >
  <h2>Monitor Tool Information</h2>
  <table cellpadding="4" bgcolor="#000000" cellspacing="1" valign="top">
  <tr bgcolor="#ffffff"><td>
  <b>Version</b>
	</td><td>
  <xsl:value-of select="@version" />
	</td></tr>
  <tr bgcolor="#ffffff"><td>
  <b>Release Date</b>
	</td><td>
  <xsl:value-of select="@releaseDate" />
	</td></tr>
  <tr bgcolor="#ffffff"><td>
  <b>Implementer Name</b>
	</td><td>
  <xsl:value-of select="wsi-log:implementer/@name" />
	</td></tr>
  <tr bgcolor="#ffffff"><td>
  <b>Location</b>
	</td><td>
  <xsl:value-of select="wsi-log:implementer/@location" />
	</td></tr>
  </table>
  <xsl:apply-templates />
  <hr style="color : black;"/>
</xsl:template>
  
<xsl:template match="wsi-monConfig:configuration" >
  <h3>Monitor Configuration Information</h3>
  <xsl:if test="wsi-monConfig:comment">
    <p><b>General comment:</b> <xsl:value-of select="wsi-monConfig:comment" /></p>
  </xsl:if>

  <b>Log File:</b>
  <table cellpadding="4" bgcolor="#000000" cellspacing="1" valign="top">
  <tr bgcolor="#ffffff">

  <td>
  <b>File</b>
  </td>

  <td>
  <b>Replace</b>
  </td>

  <td>
  <b>Stylesheet</b>
  </td>

  </tr>

  <tr bgcolor="#ffffff">
  
  <td>
  <xsl:value-of select="wsi-monConfig:logFile/@location" />
  </td>
  
  <td>
  <xsl:value-of select="wsi-monConfig:logFile/@replace" />
  </td>

  <td>
  <xsl:value-of select="wsi-monConfig:logFile/wsi-common:addStyleSheet/@href" />
  </td>

  </tr>
  </table>

  <p>
  </p>
  <b>Settings:</b>

  <table cellpadding="4" bgcolor="#000000" cellspacing="1" valign="top">
  <tr bgcolor="#ffffff">

  <td>
  <b>Log Duration</b>
  </td>

  <td>
  <b>Cleanup Timeout</b>
  </td></tr>
  <tr bgcolor="#ffffff">

  <td>
  <xsl:value-of select="wsi-monConfig:logDuration" />
  </td><td>
  <xsl:value-of select="wsi-monConfig:cleanupTimeoutSeconds" />
  </td></tr>
  </table>


  <p><b>Man-in-the-Middle Monitor:</b></p>
  <xsl:for-each select="wsi-monConfig:manInTheMiddle/wsi-monConfig:redirect">
    <p>
      <table cellpadding="4" bgcolor="#000000" cellspacing="1" valign="top">
      <tr bgcolor="#ffffff"><td>
      <b>Listen Port</b>
      </td><td>
      <xsl:value-of select="wsi-monConfig:listenPort" />
      </td></tr>
      <tr bgcolor="#ffffff"><td>
      <b>Scheme And Host/Port</b>
      </td><td>
      <xsl:value-of select="wsi-monConfig:schemeAndHostPort" />
      </td></tr>
      <tr bgcolor="#ffffff"><td>
      <b>Maximum Connections</b>
      </td><td>
      <xsl:value-of select="wsi-monConfig:maxConnections" />
      </td></tr>
      <tr bgcolor="#ffffff"><td>
      <b>Read Timeout Seconds</b>
      </td><td>
      <xsl:value-of select="wsi-monConfig:readTimeoutSeconds" />
      </td></tr>
      <tr bgcolor="#ffffff"><td>
      <b>Comment</b>
      </td><td>
      <xsl:value-of select="wsi-monConfig:comment" />
      </td></tr>
      </table>
    </p>
  </xsl:for-each>
</xsl:template>

</xsl:stylesheet>